# Uses of Interface
com.google.cloud.spanner.jdbc.TransactionRetryListener

## Uses of TransactionRetryListener in com.google.cloud.spanner.jdbc

Methods in com.google.cloud.spanner.jdbc that return types with arguments of type TransactionRetryListener
Modifier and Type
Method
Description
`Iterator<TransactionRetryListener>`
CloudSpannerJdbcConnection.`getTransactionRetryListeners()`
Deprecated.
Methods in com.google.cloud.spanner.jdbc with parameters of type TransactionRetryListener
Modifier and Type
Method
Description
`void`
CloudSpannerJdbcConnection.`addTransactionRetryListener(TransactionRetryListener listener)`
Deprecated.
`boolean`
CloudSpannerJdbcConnection.`removeTransactionRetryListener(TransactionRetryListener listener)`
Deprecated.